summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 4d9a5c73..5dbd608b 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -46,6 +46,10 @@ get_compute_host_info() {
grep "OS-EXT-SRV-ATTR:host" | awk '{ print $4 }' |
awk -F '.' '{print $1}')
)
+ if [[ -z "$COMPUTE_HOST" ]] ; then
+ echo "ERROR: failed to get compute hostname"
+ exit 1
+ fi
if [[ "$INSTALLER_TYPE" == "apex" ]] ; then
COMPUTE_USER=${COMPUTE_USER:-heat-admin}
if [[ "$INSTALLER_IP" == "none" ]] ; then